Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.interfaces
Interface IESKey

All Superinterfaces:
  java.security.Key, java.io.Serializable

All Known Implementing Classes:
  IEKeySpec

    public interface IESKey

extends java.security.Key

key pair for use with an integrated encryptor

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Method Summary
`java.security.PrivateKey` | `getPrivate()` return the local private key.
`java.security.PublicKey` | `getPublic()` return the intended recipient's/sender's public key.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getPublic

    java.security.PublicKey getPublic()

  return the intended recipient's/sender's public key.

### getPrivate

    java.security.PrivateKey getPrivate()

  return the local private key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD